> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Close bucket

> Close an Atlantic bucket to finalize grouped queries and trigger aggregated on-chain verification.



## OpenAPI

````yaml post /buckets/close
openapi: 3.0.3
info:
  title: Atlantic API
  version: 0.1.0
servers:
  - url: https://atlantic.api.herodotus.cloud
    description: Production
  - url: https://stg.atlantic.api.herodotus.cloud
    description: Staging
security: []
paths:
  /buckets/close:
    post:
      tags:
        - Applicative Recursion
      description: Close a bucket - after closing, you can no longer submit jobs to it
      parameters:
        - schema:
            type: string
          in: query
          name: apiKey
          required: false
        - schema:
            type: string
          in: query
          name: bucketId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  atlanticBucket:
                    type: object
                    properties:
                      id:
                        type: string
                      externalId:
                        type: string
                        nullable: true
                      status:
                        type: string
                        enum:
                          - OPEN
                          - IN_PROGRESS
                          - DONE
                          - FAILED
                      aggregatorVersion:
                        type: string
                        enum:
                          - snos_aggregator_0.13.3
                          - snos_aggregator_0.13.4
                          - snos_aggregator_0.14.0
                          - snos_aggregator_0.14.1
                      aggregatorParams:
                        anyOf:
                          - anyOf:
                              - type: string
                              - type: number
                              - type: boolean
                              - enum:
                                  - 'null'
                                nullable: true
                          - type: object
                            additionalProperties: {}
                          - type: array
                        nullable: true
                      nodeWidth:
                        type: integer
                        minimum: -2147483648
                        maximum: 2147483647
                        nullable: true
                      leaves:
                        type: integer
                        minimum: -2147483648
                        maximum: 2147483647
                        nullable: true
                      chain:
                        type: string
                        enum:
                          - L1
                          - L2
                          - APE_CHAIN
                          - OFFCHAIN
                          - WORLD_CHAIN
                      mockProof:
                        type: boolean
                        nullable: true
                      projectId:
                        type: string
                      createdByClient:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                    required:
                      - id
                      - externalId
                      - status
                      - aggregatorVersion
                      - aggregatorParams
                      - nodeWidth
                      - leaves
                      - chain
                      - mockProof
                      - projectId
                      - createdByClient
                      - createdAt
                    additionalProperties: false
                required:
                  - atlanticBucket
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MISSING_API_KEY
                      - BUCKET_ALREADY_CLOSED
                required:
                  - error
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - UNAUTHORIZED
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - BUCKET_NOT_FOUND
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                      - ZOD_PARSING_ERROR
                required:
                  - error
                additionalProperties: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key

````